For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
Dashboard
LogoLogo
DocsAPI Reference
  • OCPPLAB Gateway API
        • GETList chargers
        • POSTCreate charger (durable)
        • GETGet charger provisioning status
        • GETGet charger
        • PUTUpdate charger
        • DELDelete charger
        • POSTStart charger runtime
        • POSTStop charger runtime
        • POSTRestart charger runtime
        • GETList charger logs
OCPPLAB Gateway APICore ResourcesChargers

Get charger

||View as Markdown|
GET
https://host.com/ocpp/chargers/:charger_id
GET
/ocpp/chargers/:charger_id
1import requests
2
3url = "https://host.com/ocpp/chargers/dep-123"
4
5headers = {"Authorization": "Bearer <token>"}
6
7response = requests.get(url, headers=headers)
8
9print(response.json())
1{
2 "id": "dep-123",
3 "identity": "CP-TEST-001",
4 "name": "Bay A01",
5 "vendor_name": "Wallbox",
6 "model": "Pulsar Plus",
7 "image_url": "https://example.com/pulsar-plus.png",
8 "ocpp_version": "OCPP1.6",
9 "number_of_connectors": 1,
10 "max_charging_power": 22000,
11 "connector_type": "Type2",
12 "location_id": "4090477f-a416-4515-a302-97aa344a0a2a",
13 "created_at": "2026-04-02T09:15:00Z",
14 "updated_at": "2026-04-02T09:15:00Z"
15}
Retrieve one charger deployment by its internal deployment identifier within the current organization.
Was this page helpful?
Previous

Get charger provisioning status

Next

Update charger

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

charger_idstringRequired
Internal charger deployment identifier returned by charger CRUD endpoints. Use charger identity for simulator and control endpoints.

Response

Charger retrieved successfully
idstring
identitystring
namestring or null
vendor_namestring or null
modelstring or null
image_urlstring or null
ocpp_versionstring or null
number_of_connectorsinteger or null
max_charging_powerinteger or null
connector_typestring or null
location_idstring or null
created_atdatetime or null
updated_atdatetime or null

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error